Bug 174687 - ps -ef hangs
Summary: ps -ef hangs
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: procps (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Karel Zak
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-12-01 14:23 UTC by Andy Burns
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-06 01:32:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andy Burns 2005-12-01 14:23:23 UTC
Description of problem:

System sometimes gets into a state where "ps -ef" hangs completely

Version-Release number of selected component (if applicable):

# rpm -q -f /bin/ps
procps-3.2.6-2

# ps -V
procps version 3.2.6

How reproducible:

This has happened twice to me now, 
I don't know how to force it to happen again, but once it starts it remains
until a reboot.

Steps to Reproduce:
1. ???
2.
3.
  
Actual results:

"ps -ef" prints a partial process listing, then hangs mid-output, can't be
stopped with ^C ^D ^Z etc

Expected results:

finishes process listing

Additional info:

While "ps -ef" was hanging, I tried to use top to see if it would also hang, but
it worked OK, I couldn't spot any rogue processes that might be upsetting ps,
however gnome-system-monitor refused to startup so maybe it is caught by the
same problem.

a "ps" with no argcuments does run properly.

I realise this alone is not enough to diagnose the issue, given that it has
happened twice in a few days, I assume it will happen to me again, if/when it
does any suggestions on further information that can be obtained at that time? a
listing of /proc perhaps?

Comment 1 Andy Burns 2006-01-06 01:32:48 UTC
Haven't seen this re-occur in any recent kernels, probably best to resolve as
worksforme ...


Note You need to log in before you can comment on or make changes to this bug.